%global srcname nbformat
%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{srcname}
Version:        4.0.0
Release:        2%{?dist}
Summary:        The Jupyter Notebook format

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
# For tests
BuildRequires:  pytest
BuildRequires:  python-ipython_genutils
BuildRequires:  python-jsonschema
BuildRequires:  python-jupyter_core
BuildRequires:  python-traitlets
Requires:       python-ipython_genutils
Requires:       python-jsonschema
Requires:       python-jupyter_core
Requires:       python-traitlets
Provides:       python2-%{srcname} = %{version}-%{release}

%description
This package contains the base implementation of the Jupyter Notebook format,
and Python APIs for working with notebooks.



%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        The Jupyter Notebook format
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3-pytest
BuildRequires:  python3-ipython_genutils
BuildRequires:  python3-jsonschema
BuildRequires:  python3-jupyter_core
BuildRequires:  python3-traitlets
Requires:       python3-ipython_genutils
Requires:       python3-jsonschema
Requires:       python3-jupyter_core
Requires:       python3-traitlets

%description -n python3-%{srcname}
This package contains the base implementation of the Jupyter Notebook format,
and Python APIs for working with notebooks.
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif


%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif
%{__python2} setup.py install --skip-build --root %{buildroot}


%check
py.test-%{python2_version} -v %{srcname}/tests/
%if 0%{?with_python3}
py.test-%{python3_version} -v %{srcname}/tests/
%endif

 
%files
%doc README.md
%license COPYING.md
%if !0%{?with_python3}
%{_bindir}/jupyter-trust
%endif
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter-trust
%{python3_sitelib}/*
%endif


%changelog
* Wed Jul 15 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-2
- Fixup BRs and EL7 build

* Mon Jul 13 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-1
- Initial package
